%define	upstream_name	 IO-Stty
%define	upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    IO-Stty perl module
License:    GPL
Group:      Development/Perl
Url:        http://www.cpan.org
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
IO-Stty is a module for setting terminal parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
sed -i 's|/usr/local/perl/bin|%{_bindir}|' scripts/stty.pl
%make_build

%check
%make_build test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/IO/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 1:0.40.0-2.mga8
+ Revision: 1543464
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 tv <tv> 1:0.40.0-1.mga8
+ Revision: 1481685
- update to 0.04

* Wed Sep 19 2018 umeabot <umeabot> 1:0.30.0-15.mga7
+ Revision: 1268836
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:0.30.0-14.mga6
+ Revision: 1028789
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1:0.30.0-13.mga6
+ Revision: 971634
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 1:0.30.0-12.mga6
+ Revision: 892151
- BR perl(Module::Build)

* Wed Oct 15 2014 umeabot <umeabot> 1:0.30.0-11.mga5
+ Revision: 739655
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:0.30.0-10.mga5
+ Revision: 732304
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:0.30.0-9.mga5
+ Revision: 685086
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1:0.30.0-8.mga5
+ Revision: 633939
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 1:0.30.0-7.mga5
+ Revision: 606085
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:0.30.0-6.mga4
+ Revision: 525795
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1:0.30.0-5.mga4
+ Revision: 434478
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 1:0.30.0-4.mga3
+ Revision: 403822
- perl 5.16.3 rebuild

* Mon Feb 04 2013 pterjan <pterjan> 1:0.30.0-3.mga3
+ Revision: 394560
- Fi ownership of standard directory, script interpreter path and non eecutable script
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1:0.30.0-2.mga1
+ Revision: 22536
- cleaning spec file
- imported package perl-IO-Stty


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1:0.30.0-2mdv2011.0
+ Revision: 564736
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.30.0-1mdv2011.0
+ Revision: 552367
- update to 0.03

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.20.0-1mdv2010.1
+ Revision: 504893
- bump epoch
- rebuild using %%perl_convert_version

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 02-11mdv2010.0
+ Revision: 426512
- rebuild

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 02-10mdv2009.1
+ Revision: 360223
- fix patch num

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 02-10mdv2009.0
+ Revision: 223800
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 02-9mdv2008.1
+ Revision: 180412
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 02-8mdv2008.0
+ Revision: 23390
- rebuild


* Tue Feb 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 02-7mdk
- rebuild

* Sun Aug 17 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 02-6mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 02-5mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 02-4mdk
- buildrequires

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 02-3mdk
- rebuild

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 02-2mdk
- rebuild with new perl

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 02-1mdk
- added by Max Heijndijk <cchq@wanadoo.nl> :
	- Initial wrap

